#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
//#include "equivSearch.h"


void printMenu();

int main(int argc, char* argv[])
{
	int menuOption;
	int valid = 1;
	
	while(1)
	{
		if(valid)
		{
			printMenu();
		}
		printf("\n>");
		menuOption = getMenuOption();
		printf("\n");
		switch(menuOption)
		{
		    case 1 : 	interactiveEquivalenceSearch();
		    		valid = 1;
		    		break;
		    case 2 :	batchSearch();
		    		valid = 1;
		    		break;
		    case -1 : 	exit(0);
		    default  : 	printf("Invalid option: Please select an option from the menu above"); 
		    		valid = 0;
		 }
     }
}

void printMenu()
{
	printf("\nCertSearch\n==========\n");
	printf("   1: Run an interactive search\n");
	printf("   2: Run batch search for shortest cert. of equiv. for all G~G', 4 <= n <= 7\n");
	printf("   Q: Quit\n");
}

int getMenuOption()
{
	int option;
	char input[100];

	fgets(input, 100, stdin);
	while(input[0]=='\n')
	{
		fgets(input, 100, stdin);
	}
	if(sscanf(input, "%d", &option) !=1)
	{
		option = 0;

		if(strncmp(input,"q", 1) == 0 || strncmp(input,"Q", 1) == 0)
		{
			option = -1;
		}
	}
	
	
	return option;
}


