
#ifndef __CERT_H_
#define __CERT_H_
#include<stdio.h>

typedef struct cert *cert;
typedef struct line *line;
typedef struct operation *operation;
typedef struct operationList *operationList;


enum operationType {DELCONT=0, INVDELCONT1=1, INVDELCONT2=2, ADDIDENT=3, INVADDIDENT=4, CANCEL=5};
//char *opNames = {"DELCONT", "INVDELCONT1", "INVDELCONT2", "ADDIDENT", "INVADDIDENT", "CANCEL"};
cert newCert(graph graph);
void printCert(cert impCert);
operationList getOperationList(cert inpCert, enum operationType optype);
operationList getAllOperations(cert inpCert);
operationList getAllCompressingOperations(cert inpCert);
operation getOpFromList(operationList list, int opIndex);
void performOp(operation op);
line getCurrentLine(cert inpCert);
 
#endif
